/******************************************************************
 *						Author:	Zhou Yundong
 *						Time: 20081222 23:08
 ******************************************************************/
#include "Stdafx.h"
#include "Think.h"
#include "time.h"
#include "windows.h"

void getAnswerMix()
{
}

void handleAnswerMix()
{
	rightStatus = 1;
	movePare('l', 'p');
	moveKilpare('l', 'k');
	moveSum('l', 's');
	getAnswerPare(); // 启动求解过程
	if(firstIntoSodoku) // 只在第一次变成数独状态时才清右盘
	{
		moveSum('0', 'r');
		moveIdx('0', 'r');
		moveUniq('0', 'r');
		pRightCircle = 0;
	}
	if(flagAnswer == 0)
	{
		moveBoard('0', 'r');
		movePare('0', 'r');
	}
	else
	{
		moveBoard('a', 'r');
		movePare('p', 'r');
	}
	underThinking = false;
}
